Assignments Assignments

Macros | Typedefs | Functions | Variables
jdct.h File Reference

Go to the source code of this file.

## Macros
#define | IFAST_SCALE_BITS 13 /* fractional bits in scale factors */
#define | IDCT_range_limit(cinfo)
#define | RANGE_MASK (MAXJSAMPLE * 4 + 3) /* 2 bits wider than legal samples */
#define | ONE ((INT32) 1)
#define | CONST_SCALE (ONE << CONST_BITS)
#define | FIX(x)
#define | DESCALE(x, n)
#define | MULTIPLY16C16(var, const)
#define | MULTIPLY16V16(var1, var2)

## Typedefs
typedef INT32 | DCTELEM
typedef MULTIPLIER | ISLOW_MULT_TYPE
typedef INT32 | IFAST_MULT_TYPE
typedef FAST_FLOAT | FLOAT_MULT_TYPE

## Functions
typedef | JMETHOD (void, forward_DCT_method_ptr,(DCTELEM *data))
typedef | JMETHOD (void, float_DCT_method_ptr,(FAST_FLOAT *data))
| EXTERN (void) jpeg_fdct_islow JPP((DCTELEM *data))

## Variables
jpeg_component_info * | compptr
jpeg_component_info JCOEFPTR | coef_block
jpeg_component_info JCOEFPTR JSAMPARRAY | output_buf
jpeg_component_info JCOEFPTR JSAMPARRAY JDIMENSION | output_col

## Macro Definition Documentation

## ◆ CONST_SCALE

#define CONST_SCALE (ONE << CONST_BITS)

## ◆ DESCALE

#define DESCALE | ( |  | x,
|  |  | n )

Value:
RIGHT_SHIFT((x) + (ONE << ((n)-1)), n)
ONE
#define ONE
Definition jdct.h:131
RIGHT_SHIFT
#define RIGHT_SHIFT(x, shft)
Definition jpegint.h:290

## ◆ FIX

#define FIX | ( |  | x | ) |

Value:
((INT32) ((x) * CONST_SCALE + 0.5))
CONST_SCALE
#define CONST_SCALE
Definition jdct.h:132
INT32
long INT32
Definition jmorecfg.h:161

## ◆ IDCT_range_limit

#define IDCT_range_limit | ( |  | cinfo | ) |

Value:
((cinfo)->sample_range_limit + CENTERJSAMPLE)
CENTERJSAMPLE
#define CENTERJSAMPLE
Definition jmorecfg.h:74

## ◆ IFAST_SCALE_BITS

#define IFAST_SCALE_BITS 13 /* fractional bits in scale factors */

## ◆ MULTIPLY16C16

#define MULTIPLY16C16 | ( |  | var,
|  |  | const )

Value:
((var) * (const))

## ◆ MULTIPLY16V16

#define MULTIPLY16V16 | ( |  | var1,
|  |  | var2 )

Value:
((var1) * (var2))

## ◆ ONE

#define ONE ((INT32) 1)

## ◆ RANGE_MASK

#define RANGE_MASK (MAXJSAMPLE * 4 + 3) /* 2 bits wider than legal samples */

## Typedef Documentation

## ◆ DCTELEM

typedef INT32 DCTELEM

## ◆ FLOAT_MULT_TYPE

typedef FAST_FLOAT FLOAT_MULT_TYPE

## ◆ IFAST_MULT_TYPE

typedef INT32 IFAST_MULT_TYPE

## ◆ ISLOW_MULT_TYPE

typedef MULTIPLIER ISLOW_MULT_TYPE

## Function Documentation

## ◆ EXTERN()

EXTERN | ( | void |  | ) |

## ◆ JMETHOD() [1/2]

typedef JMETHOD | ( | void | ,
|  | float_DCT_method_ptr | ,
|  | (FAST_FLOAT *data) | )

## ◆ JMETHOD() [2/2]

typedef JMETHOD | ( | void | ,
|  | forward_DCT_method_ptr | ,
|  | (DCTELEM *data) | )

## Variable Documentation

## ◆ coef_block

jpeg_component_info JCOEFPTR coef_block

## ◆ compptr

jpeg_component_info * compptr

## ◆ output_buf

jpeg_component_info JCOEFPTR JSAMPARRAY output_buf

## ◆ output_col

jpeg_component_info JCOEFPTR JSAMPARRAY JDIMENSION output_col